package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqRejectRequest struct {
	ID          uint   `json:"-"`
	Description string `json:"description" example:"description"`
}

type KindBoxReqRejectResponse struct {
	ID               uint                    `json:"id" example:"1"`
	KindBoxType      entity.KindBoxType      `json:"kind_box_type" example:"1"`
	CountRequested   uint                    `json:"count_requested" example:"1"`
	BenefactorID     uint                    `json:"benefactor_id" example:"1"`
	Status           entity.KindBoxReqStatus `json:"status" example:"1"`
	Description      string                  `json:"description" example:"description"`
	DeliverReferDate time.Time               `json:"deliver_refer_date" example:"2025-01-02 15:04:05"`
	DeliverAddressID uint                    `json:"deliver_address_id" example:"1"`
}
